{% if slider is defined and slider and lookbooks|length > 0 %}
<div class="module so-lookbook-slider">
	<h3 class="modtitle"><span>{{ slider.title }}</span></h3>
	<div class="owl-carousel owl-theme {{ slider.custom_class }}" id="so_lookbook_slider_{{ slider.slide_id }}">
		{% for lookbook in lookbooks %}
			<div class="so-lookbook-container">
				<div class="so-lookbook-container__item">
					<div class="pin__image">
						<img src="{{ lookbook.image }}" alt="{{ lookbook.name }}" class="so-lookbook-image img-responsive" />
					</div>
					{{ lookbook.pinHtml }}
					{{lookbook.pinHtmlMobile}}
				</div>
				<div class="pinList">
					{{ lookbook.pinList }}
				</div>
			</div>

		{% endfor %}
	</div>
</div>
<script type="text/javascript">
	jQuery(document).ready(function ($) {
		$('#so_lookbook_slider_{{ slider.slide_id }}').owlCarousel({
			items: 2,
			loop: {{ loop }},
			nav: {{ navigation }},
			dots: {{ pagination }},
			autoplay: {{ auto_play }},
			autoplayHoverPause: {{ stop_auto }},
			autoplayTimeout: {{ auto_play_timeout }},
			animateOut: 'fadeOut',
			animateIn: 'fadeIn',
			navText: ['{{ prev_image }}', '{{ next_image }}'],
			responsive: {
				0: 	{ items: 1 } ,
				480: { items: 1 },
				768: { items: 2 },
				992: { items: 2 },
				1200: {items: 2 },
				1650: {items: 2}
			}
		});

		var brandSlider = $('#so_lookbook_slider_{{ slider.slide_id }}');
		function brandSliderClasses() {
		    brandSlider.each(function() {
		        var total = $(this).find('.owl-item.active').length;
		        $(this).find('.owl-item').removeClass('firstactiveitem');
		        $(this).find('.owl-item').removeClass('lastactiveitem');
		        $(this).find('.owl-item.active').each(function(index) {
		            if (index === 0) {
		                $(this).addClass('firstactiveitem')
		            }
		            if (index === total - 1 && total > 1) {
		                $(this).addClass('lastactiveitem')
		            }
		        })
		    })
		}
		brandSliderClasses();
		brandSlider.on('translated.owl.carousel', function(event) {
		    brandSliderClasses()
		});

		if($('.pin__type').length){
			$('.so-lookbook-container .pin__type').hover(function(){
				$('.so-lookbook-container .pin__image').toggleClass('pm-mask');
			});
			
			$('.so-lookbook-container .pin__type').click(function(){
				$('.so-lookbook-container .pin__type').removeClass('pin__opened');
				$(this).toggleClass('pin__opened');
			});
			
			$('.so-lookbook-image').click(function(){
				$('.so-lookbook-container .pin__type').removeClass('pin__opened');
			});
		}
	});
	
</script>
{% endif %}